class Computer:
    def __init__(self):
        print("Startujemy...")
        # definicja właściwości obiektów tej lasy
        self.procesor = "CPU at start"
        self.speed = "5 GHz"
        self.cpu_speed = 5000

    def __str__(self):
        return f"To jest {id(self)=}"


komputer1 = Computer()
komputer2 = Computer()

print(komputer1)
print('-------------------')
print(dir(komputer1))
print(dir(komputer2))
print('-------------------')
print(komputer1.procesor)
print(komputer2.procesor)

komputer1.procesor = "AMD M6"
print('-------------------')
print(komputer1.procesor)
print(komputer2.procesor)
print('-------------------')

komputer1.nowe_property = "Jakaś tam"
print(dir(komputer1))
print(dir(komputer2))
print('-------------------')